Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.beneservizioincatalogo.vo.updatebeneservizio
Class UpdateBeneServizioRequest

    java.lang.Object
      it.svimservice.nsisr.web.ws.beneservizioincatalogo.vo.updatebeneservizio.UpdateBeneServizioRequest

    public class UpdateBeneServizioRequest

extends java.lang.Object

Dati di input del servizio setUpdateBeneServizio.

Field Summary
`private java.lang.String` | `codIdentificativo` Codice identificativo del bene o del servizio.
`private java.lang.String` | `codSettoreMerceologico` Settore merceologico di appartenenza del bene/servizio.
`private java.lang.String` | `codTranscodifica` Codice per la transcodifica del bene in altra codifica.
`private java.lang.String` | `descrizione` Descrizione analitica del bene o del servizio.
`private java.lang.String` | `descSpecFunzionali` Descrizione in forma estesa delle informazioni tecnico funzionali caratterizzanti il bene o il servizio.
`private java.lang.String` | `descStandardQualita` Descrizione estesa degli standard di qualità che caratterizzano il bene o il servizio.
`private java.lang.String` | `nomeBreve` Nome del bene o servizio.
`private java.lang.String` | `prezzoRifMassimo` Prezzo di riferimento massimo a valenza nazionale.
`private java.lang.String` | `prezzoRifMinimo` Prezzo di riferimento minimo a valenza nazionale.
`private java.lang.String` | `unitaMisura` Unità di misura di valutazione del bene o del servizio.

Constructor Summary
`UpdateBeneServizioRequest()`

Method Summary
`java.lang.String` | `getCodIdentificativo()`
`java.lang.String` | `getCodSettoreMerceologico()`
`java.lang.String` | `getCodTranscodifica()`
`java.lang.String` | `getDescrizione()`
`java.lang.String` | `getDescSpecFunzionali()`
`java.lang.String` | `getDescStandardQualita()`
`java.lang.String` | `getNomeBreve()`
`java.lang.String` | `getPrezzoRifMassimo()`
`java.lang.String` | `getPrezzoRifMinimo()`
`java.lang.String` | `getUnitaMisura()`
`void` | `setCodIdentificativo(java.lang.String codIdentificativo)`
`void` | `setCodSettoreMerceologico(java.lang.String codSettoreMerceologico)`
`void` | `setCodTranscodifica(java.lang.String codTranscodifica)`
`void` | `setDescrizione(java.lang.String descrizione)`
`void` | `setDescSpecFunzionali(java.lang.String descSpecFunzionali)`
`void` | `setDescStandardQualita(java.lang.String descStandardQualita)`
`void` | `setNomeBreve(java.lang.String nomeBreve)`
`void` | `setPrezzoRifMassimo(java.lang.String prezzoRifMassimo)`
`void` | `setPrezzoRifMinimo(java.lang.String prezzoRifMinimo)`
`void` | `setUnitaMisura(java.lang.String unitaMisura)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codIdentificativo

    @Facets(minLength=1L,
            maxLength=9L)
    @MinOccurs(value=1L)
    private java.lang.String codIdentificativo

  Codice identificativo del bene o del servizio.

### codSettoreMerceologico

    @Facets(minLength=1L,
            maxLength=9L)
    @MinOccurs(value=1L)
    private java.lang.String codSettoreMerceologico

  Settore merceologico di appartenenza del bene/servizio.

### codTranscodifica

    @Facets(minLength=0L,
            maxLength=13L)
    @MinOccurs(value=0L)
    private java.lang.String codTranscodifica

  Codice per la transcodifica del bene in altra codifica.

### descrizione

    @Facets(minLength=0L,
            maxLength=250L)
    @MinOccurs(value=0L)
    private java.lang.String descrizione

  Descrizione analitica del bene o del servizio.

### descSpecFunzionali

    @Facets(minLength=0L,
            maxLength=250L)
    @MinOccurs(value=0L)
    private java.lang.String descSpecFunzionali

  Descrizione in forma estesa delle informazioni tecnico funzionali caratterizzanti il bene o il servizio.

### descStandardQualita

    @Facets(minLength=0L,
            maxLength=250L)
    @MinOccurs(value=0L)
    private java.lang.String descStandardQualita

  Descrizione estesa degli standard di qualità che caratterizzano il bene o il servizio.

### nomeBreve

    @Facets(minLength=0L,
            maxLength=30L)
    @MinOccurs(value=0L)
    private java.lang.String nomeBreve

  Nome del bene o servizio.

### prezzoRifMassimo

    @Facets(pattern="([0-9]{1,12}[,]{1}[0-9]{1,3})?")
    @MinOccurs(value=0L)
    private java.lang.String prezzoRifMassimo

  Prezzo di riferimento massimo a valenza nazionale.

### prezzoRifMinimo

    @Facets(pattern="([0-9]{1,12}[,]{1}[0-9]{1,3})?")
    @MinOccurs(value=0L)
    private java.lang.String prezzoRifMinimo

  Prezzo di riferimento minimo a valenza nazionale.

### unitaMisura

    @Facets(pattern="(001|002|003|004|005|006|007|008|009|010|011|012|013|014|015|016|017|018|019|020|021|022|023|024|025|026|027|028|029|030|031|032|033|034|035|036|037|038|039|040|041|042|043|044|045|046|047|048|049|050|051|052|053|054|055|056|057|058|059|060)?")
    @MinOccurs(value=0L)
    private java.lang.String unitaMisura

  Unità di misura di valutazione del bene o del servizio.

Constructor Detail

### UpdateBeneServizioRequest

    public UpdateBeneServizioRequest()

Method Detail

### getCodIdentificativo

    public java.lang.String getCodIdentificativo()

### getCodSettoreMerceologico

    public java.lang.String getCodSettoreMerceologico()

### getCodTranscodifica

    public java.lang.String getCodTranscodifica()

### getDescrizione

    public java.lang.String getDescrizione()

### getDescSpecFunzionali

    public java.lang.String getDescSpecFunzionali()

### getDescStandardQualita

    public java.lang.String getDescStandardQualita()

### getNomeBreve

    public java.lang.String getNomeBreve()

### getPrezzoRifMassimo

    public java.lang.String getPrezzoRifMassimo()

### getPrezzoRifMinimo

    public java.lang.String getPrezzoRifMinimo()

### getUnitaMisura

    public java.lang.String getUnitaMisura()

### setCodIdentificativo

    public void setCodIdentificativo(java.lang.String codIdentificativo)

### setCodSettoreMerceologico

    public void setCodSettoreMerceologico(java.lang.String codSettoreMerceologico)

### setCodTranscodifica

    public void setCodTranscodifica(java.lang.String codTranscodifica)

### setDescrizione

    public void setDescrizione(java.lang.String descrizione)

### setDescSpecFunzionali

    public void setDescSpecFunzionali(java.lang.String descSpecFunzionali)

### setDescStandardQualita

    public void setDescStandardQualita(java.lang.String descStandardQualita)

### setNomeBreve

    public void setNomeBreve(java.lang.String nomeBreve)

### setPrezzoRifMassimo

    public void setPrezzoRifMassimo(java.lang.String prezzoRifMassimo)

### setPrezzoRifMinimo

    public void setPrezzoRifMinimo(java.lang.String prezzoRifMinimo)

### setUnitaMisura

    public void setUnitaMisura(java.lang.String unitaMisura)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD